Subject: Re: [PATCH] staging/lustre: fix build errors

From: Dan Carpenter <[email-masked]>
Date: Wed, 5 Jun 2013 14:07:21 +0300

On Wed, Jun 05, 2013 at 10:36:20AM +0000, Peng, Tao wrote:
> > > Stephen, please see if this fixes your build failure. I have tested it locally but only on X86
> > architecture, with CONFIG_CPUMASK_OFFSTACK on and CONFIG_MODULES/CONFIG_MODULE_UNLOAD off.
> > 
> > I have tried this with an x86_64 allmodconfig build and now I get just
> > this build problem:
> > 
> > drivers/built-in.o: In function `crc32_pclmul_le_16':
> > (.text+0x28b9310): multiple definition of `crc32_pclmul_le_16'
> > arch/x86/built-in.o:(.text+0xe70d0): first defined here
> > 
> We should really remove the crypto implementations inside Lustre
> code. I have a patch to do that and Andreas is helping review it.
> Once done, I will send it out.

Hopefully, it will be ready for tomorrow's linux-next?  x86_64
allmodconfig is one of the most common ways to build a kernel.

regards,
dan carpenter